"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.wrapperNativeName = wrapperNativeName;
exports.safeFunction = safeFunction;
exports.required = required;
/**
 * 在调用invoke方法时，方法名加入后缀，用于直接映射native方法。
 * @param name
 * @returns {string}
 */
function wrapperNativeName(name) {
  return name + ":callback:";
}

/**
 * 保证返回一个Function
 * @param callback
 * @returns {Function}
 */
function safeFunction(callback) {
  return callback || function () {};
}

/**
 * 做参数的必填验证
 * @param debug
 * @param requireObj
 * @param fnName
 * @returns {boolean}
 */
function required() {
  var debug = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
  var requireObj = arguments[1];
  var fnName = arguments[2];

  if (!requireObj) {
    return true;
  }
  var keys = Object.keys(requireObj);
  for (var i = 0; i < keys.length; i++) {
    if (!requireObj[keys[i]] && debug && fnName) {
      console.log(fnName + "\u4E2D\u53C2\u6570 " + keys[i] + " \u5FC5\u987B\u586B\u5199!");
      return false;
    }
  }

  return true;
}

exports.default = {
  wrapperNativeName: wrapperNativeName,
  safeFunction: safeFunction,
  required: required
};